Unable to delete article in Knowledgebase

2018-02-27 05:07 - Jinhee Jo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.1

Description

Dear Support,

I cannot delete articles from KB, and when I try to create an article, Error page appears, but new article is created anyway if I refresh

the page.

Both logs are below.

(1) Error log when deleting an article

I, [2018-02-27T12:50:43.234267 #29220]  INFO --: Started GET "/projects/knowledgebase/knowledgebase/articles/587" for

10.1.1.254 at 2018-02-27 12:50:43 +0900

I, [2018-02-27T12:50:43.235551 #29220]  INFO --: Processing by ArticlesController#show as HTML

I, [2018-02-27T12:50:43.235605 #29220]  INFO -- :   Parameters: {"project_id"=>"knowledgebase", "id"=>"587"}

I, [2018-02-27T12:50:43.268528 #29220]  INFO -- :   Current user: jhjo (id=63)

I, [2018-02-27T12:50:43.294487 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/categories/_jump_box.html.erb (16.8ms)

I, [2018-02-27T12:50:43.299177 #29220]  INFO -- :   Rendered watchers/_watchers.html.erb (2.0ms)

I, [2018-02-27T12:50:43.301331 #29220]  INFO -- :   Rendered plugins/redmine_knowledgebase/app/views/articles/_rating.html.erb

(2.0ms)

I, [2018-02-27T12:50:43.312649 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/articles/sections/_content.html.erb (6.4ms)

I, [2018-02-27T12:50:43.315954 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/articles/sections/_comments.html.erb (3.0ms)

I, [2018-02-27T12:50:43.316618 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/articles/sections/_attachments.html.erb (0.4ms)

I, [2018-02-27T12:50:43.324682 #29220]  INFO -- :   Rendered plugins/redmine_knowledgebase/app/views/articles/_history.html.erb

(7.2ms)

I, [2018-02-27T12:50:43.324805 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/articles/sections/_history.html.erb (7.9ms)

I, [2018-02-27T12:50:43.324902 #29220]  INFO -- :   Rendered common/_tabs.html.erb (19.6ms)

I, [2018-02-27T12:50:43.324965 #29220]  INFO -- :   Rendered plugins/redmine_knowledgebase/app/views/articles/show.html.erb

within layouts/base (48.4ms)

I, [2018-02-27T12:50:43.328142 #29220]  INFO -- :   Rendered inline template (0.6ms)

I, [2018-02-27T12:50:43.328967 #29220]  INFO -- :   Rendered

plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (0.3ms)

I, [2018-02-27T12:50:43.345543 #29220]  INFO -- :   Rendered

plugins/redmine_banner/app/views/banner/_project_body_bottom.html.erb (1.0ms)

I, [2018-02-27T12:50:43.348516 #29220]  INFO -- :   Rendered

plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (2.4ms)

I, [2018-02-27T12:50:43.348760 #29220]  INFO --: Completed 200 OK in 113ms (Views: 63.3ms | ActiveRecord: 40.8ms)

I, [2018-02-27T12:50:44.436271 #29220]  INFO --: Started DELETE "/projects/knowledgebase/knowledgebase/articles/587" for

10.1.1.254 at 2018-02-27 12:50:44 +0900

I, [2018-02-27T12:50:44.437456 #29220]  INFO --: Processing by ArticlesController#destroy as HTML

I, [2018-02-27T12:50:44.437515 #29220]  INFO -- :   Parameters:

{"authenticity_token"=>"PMm9N/BNYGJqQMU7s0uiu5n3XDNp82jPQVKc7/iCcemGJ0B9rIj8sw/FHH77IWACGg8es+6sLnQbG/cnVO

+vNg==", "project_id"=>"knowledgebase", "id"=>"587"}

I, [2018-02-27T12:50:44.443324 #29220]  INFO -- :   Current user: jhjo (id=63)

I, [2018-02-27T12:50:44.518518 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/kb_mailer/article_destroy.text.erb within layouts/mailer (0.3ms)

I, [2018-02-27T12:50:44.519190 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/kb_mailer/article_destroy.html.erb within layouts/mailer (0.2ms)
I, [2018-02-27T12:50:45.784562 #29220]  INFO --: Completed 500 Internal Server Error in 1347ms (ActiveRecord: 19.0ms)

F, [2018-02-27T12:50:45.785743 #29220] FATAL --:

Net::SMTPFatalError (550 5.1.1 sorry, no mailbox here by that name (chkuser)

):

app/models/mailer.rb:458:in `deliver_mail'

config/initializers/10-patches.rb:154:in `deliver'

plugins/redmine_knowledgebase/app/controllers/articles_controller.rb:165:in `destroy'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

plugins/redmine_dmsf/lib/redmine_dmsf/webdav/no_parse.rb:33:in `call'

(2) Error log when registering an article

I, [2018-02-27T13:01:31.910817 #29220]  INFO --: Started POST "/projects/knowledgebase/knowledgebase/articles" for 10.1.1.254

at 2018-02-27 13:01:31 +0900

I, [2018-02-27T13:01:31.911912 #29220]  INFO --: Processing by ArticlesController#create as HTML

I, [2018-02-27T13:01:31.911980 #29220]  INFO -- :   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"aK8B2rRvnsyAHlL3IKbERCqWIQC+HmHNPipmXFQUX5fSQfyQ6KoCHeWbi7JozAb9qW5jgDlBJ3ZkYw2U+

HmBSA==", "category_id"=>"34", "article"=>{"title"=>"tt", "content"=>"tt", "tag_list"=>"", "version_comments"=>""},

"commit"=>"Create", "project_id"=>"knowledgebase"}

I, [2018-02-27T13:01:31.917577 #29220]  INFO -- :   Current user: jhjo (id=63)

I, [2018-02-27T13:01:31.929748 #29220]  INFO --: Redirected to 

https://ts.infinitt.com/projects/knowledgebase/knowledgebase/articles/590

I, [2018-02-27T13:01:31.999186 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/kb_mailer/article_create.text.erb within layouts/mailer (0.4ms)

I, [2018-02-27T13:01:31.999959 #29220]  INFO -- :   Rendered

plugins/redmine_knowledgebase/app/views/kb_mailer/article_create.html.erb within layouts/mailer (0.3ms)

I, [2018-02-27T13:01:33.261598 #29220]  INFO --: Completed 500 Internal Server Error in 1350ms (ActiveRecord: 19.9ms)

F, [2018-02-27T13:01:33.262741 #29220] FATAL --:

Net::SMTPFatalError (550 5.1.1 sorry, no mailbox here by that name (chkuser)

):

app/models/mailer.rb:458:in `deliver_mail'

config/initializers/10-patches.rb:154:in `deliver'

plugins/redmine_knowledgebase/app/controllers/articles_controller.rb:81:in `create'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

plugins/redmine_dmsf/lib/redmine_dmsf/webdav/no_parse.rb:33:in `call'

I didn't make any changes in mainbox.

Could you please help me to solve this issue?

Thanks,

Julia

History

#1 - 2018-03-07 09:27 - Mischa The Evil

- Category deleted (Plugin API)

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the plugin author. We don't provide plugin support here.
